org.apache.cassandra.utils.progress.jmx

## Class JMXNotificationProgressListener

- java.lang.Object
- - org.apache.cassandra.utils.progress.jmx.JMXNotificationProgressListener

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener, ProgressListener

Direct Known Subclasses:
  BootstrapMonitor, RepairRunner

    public abstract class JMXNotificationProgressListener
    extends java.lang.Object
    implements ProgressListener, javax.management.NotificationListener

JMXNotificationProgressListener uses JMX Notification API to convert JMX Notification message to progress event and notifies its `ProgressListener`s. This is to be implemented in client tools side.

### Constructor Summary

Constructors
Constructor and Description
`JMXNotificationProgressListener()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `handleConnectionClosed(long timestamp, java.lang.String message)` Called when JMX connection is closed.
`void` `handleConnectionFailed(long timestamp, java.lang.String message)` Called when JMX connection is failed.
`void` `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
`void` `handleNotificationLost(long timestamp, java.lang.String message)` Called when receiving `JMXConnectionNotification.NOTIFS_LOST` message.
`abstract boolean` `isInterestedIn(java.lang.String tag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.utils.progress.ProgressListener

`progress`

### Constructor Detail

#### JMXNotificationProgressListener

    public JMXNotificationProgressListener()

### Method Detail

#### isInterestedIn

    public abstract boolean isInterestedIn(java.lang.String tag)

Parameters:
  `tag` - tag name to be checked
Returns:
  true if given tag for ProgressEvent is a target to consume. If this returns false, then `ProgressListener.progress(java.lang.String, org.apache.cassandra.utils.progress.ProgressEvent)` is not called for that event.

#### handleNotificationLost

    public void handleNotificationLost(long timestamp,
                                       java.lang.String message)

Called when receiving `JMXConnectionNotification.NOTIFS_LOST` message.

#### handleConnectionClosed

    public void handleConnectionClosed(long timestamp,
                                       java.lang.String message)

Called when JMX connection is closed. Specifically when `JMXConnectionNotification.CLOSED` message is received.

#### handleConnectionFailed

    public void handleConnectionFailed(long timestamp,
                                       java.lang.String message)

Called when JMX connection is failed. Specifically when `JMXConnectionNotification.FAILED` message is received.

#### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

Specified by:
  `handleNotification` in interface `javax.management.NotificationListener`